bm::xor_sim_model< BV > Struct Template Reference

XOR similarity model. More...

`#include <bmxor.h>`

Inheritance diagram for bm::xor_sim_model< BV >:
[legend]

## Public Types

typedef BV | bvector_type
typedef bvector_type::size_type | size_type
typedef bvector_type::allocator_type | bv_allocator_type
typedef bm::block_match_chain< size_type > | block_match_chain_type
typedef bm::dynamic_heap_matrix< block_match_chain_type, bv_allocator_type > | matrix_chain_type

## Data Fields

matrix_chain_type | matr
| model matrix
bvector_type | bv_blocks
| blocks digest

## Detailed Description

template<typename BV>
struct bm::xor_sim_model< BV >

XOR similarity model.

Definition at line 790 of file bmxor.h.

## Member Typedef Documentation

## block_match_chain_type

template<typename BV>

typedef bm::block_match_chain<size_type> bm::xor_sim_model< BV >::block_match_chain_type

Definition at line 798 of file bmxor.h.

## bv_allocator_type

template<typename BV>

typedef bvector_type::allocator_type bm::xor_sim_model< BV >::bv_allocator_type

Definition at line 795 of file bmxor.h.

## bvector_type

template<typename BV>

typedef BV bm::xor_sim_model< BV >::bvector_type

Definition at line 793 of file bmxor.h.

## matrix_chain_type

template<typename BV>

typedef bm::dynamic_heap_matrix<block_match_chain_type, bv_allocator_type> bm::xor_sim_model< BV >::matrix_chain_type

Definition at line 801 of file bmxor.h.

## size_type

template<typename BV>

typedef bvector_type::size_type bm::xor_sim_model< BV >::size_type

Definition at line 794 of file bmxor.h.

## Field Documentation

## bv_blocks

template<typename BV>

bvector_type bm::xor_sim_model< BV >::bv_blocks

blocks digest

Definition at line 805 of file bmxor.h.

Referenced by bm::compute_sim_matrix_plan_builder< BV >::build_plan(), and bm::xor_scanner< BV >::compute_sim_model().

## matr

template<typename BV>

matrix_chain_type bm::xor_sim_model< BV >::matr

model matrix

Definition at line 804 of file bmxor.h.

Referenced by bm::compute_sim_matrix_plan_builder< BV >::build_plan(), and bm::xor_scanner< BV >::compute_sim_model().

The documentation for this struct was generated from the following file:

- bmxor.h